#ifndef BOARD_CONFIG_H
#define BOARD_CONFIG_H

#include "ch32v30x.h"

// Ranges from 0 to 4, larger value means higher task priorities
#define TASK_PRIO_LOGGER       2u
#define TASK_PRIO_MAINLOOP     3u
#define TASK_PRIO_ISR          4u
#define TASK_PRIO_MODBUS_SLAVE 1u

// LED
#define LED1_GPIO_APB2_PERIPH RCC_APB2Periph_GPIOA
#define LED1_PORT             GPIOA
#define LED1_PIN              GPIO_Pin_0

#define LED2_GPIO_APB2_PERIPH RCC_APB2Periph_GPIOA
#define LED2_PORT             GPIOA
#define LED2_PIN              GPIO_Pin_1

#endif /* BOARD_CONFIG_H */
